import 'package:dpay_flutter/CustomerInfo.dart';

class DCheckoutOptions extends CustomerInfo {
  String? accessToken;
  String? environment;
  String? locale;
  String? siteName;
  String? orderId;
  String? themeColor;
  String? accentColor;
  String? currency;
  String? amount;
  String? paymentType;
  bool? darkMode;

  Map<String, Object?> toMap() {
    return {
      'locale': locale,
      'siteName': siteName,
      'environment': environment,
      'orderId': orderId,
      'accessToken': accessToken,
      'amount': amount,
      'currency': currency,
      'customerId': customerId,
      'customerEmail': customerEmail,
      'payment_type': paymentType,
      'customerGivenName': customerGivenName,
      'customerMobile': customerMobile,
      "customerAddressLine1": customerAddressLine1,
      "customerAddressLine2": customerAddressLine2,
      "customerCity": customerCity,
      "customerRegion": customerRegion,
      "customerCountry": customerCountry,
      "customerPostalCode": customerPostalCode,
      "label": label,
      "receiverName": receiverName,
      "receiverPhone": receiverPhone,
      "landmark": landmark,
      'themeColor': themeColor,
      'accentColor': accentColor,
      'darkMode': darkMode,
    };
  }
}
